# Generated from authi-0.0.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name authi

Name: rubygem-%{gem_name}
Version: 0.0.7
Release: 1%{?dist}
Summary: Authi!
License: MIT
URL: http://rubygems.org/gems/authi
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Authi is a Ruby gem designed to be used both in your client and server
HTTP-based applications. It implements the authentication methods based on
HMAC-SHA1 encryption algorithm and a pre-shared key.The gem will sign your
requests on the client side and authenticate that signature on the server
side. It will even generate the secret keys necessary for your clients to sign
their requests. Find the documentaion to see how it works!


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Sep 12 2021 mockbuilder - 0.0.7-1
- Initial package
